
/*

Holds equivalence statements resulting from cycles

Written by Richard Power
Copyright (c) 2013 by Open University

This package is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 3 of the License, or (at your option) any later version.

The package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.

*/

public class Equivalence
{ private ModelTerm term1;
  private ModelTerm term2;

  public Equivalence(ModelTerm arg1, ModelTerm arg2)
  { term1 = arg1;
    term2 = arg2;
  }

  public ModelTerm getTerm1() { return term1; }
  public ModelTerm getTerm2() { return term2; }

  public String report()
  { String s = term1.getName();
    s = s + " \u21D4 " + term2.getName();
    return s;
  }

  public void display()
  { term1.display();
    System.out.print("==");
    term2.display();
    System.out.println();
  }

}
